<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (Win98; I) [Netscape]">
   <title>ExoticaX Legal Documentation</title>
</head>
<body text="#FFFFFF" bgcolor="#000000" link="#0000FF" vlink="#00CC33" alink="#FF0000">

<center><b><font face="Brush455 BT,Comic Sans MS"><font color="#FF0000"><font size=+3>Introduction</font></font></font></b>
<br>
<hr WIDTH="50%" COLOR="#FF0000"></center>

<p><br>
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%"><b>ExoticaX is a wrapper API for Exotica by Todd Riggins
for the Euphoria programming language. ExoticaX1.7 requires Exotica1.7(exclusive
to exoticaX, cannot be obtained from www.exotica.iwarp.com), and DirectX8.0
or higher.</b>
<p><b>ExoticaX provides simpler methods of calling the various routines
in the Exotica API.</b>
<p><b>Advantages of ExoticaX for Exotica :</b>
<dl>
<dd>
<b>No need for MainLoop functions</b>&nbsp;</dd>

<dd>
<b>No more allocating (except for 3D routines)</b>&nbsp;</dd>

<dd>
<b>Improved release of exotica objects</b>&nbsp;</dd>

<dd>
<b>More intuitive routines</b>&nbsp;</dd>

<dd>
<b>Much less coding</b>&nbsp;</dd>

<dd>
<b>Better readability</b>&nbsp;</dd>

<dd>
<b>Error_messages are embedded in the ExoticaX routines</b>&nbsp;</dd>

<dd>
<b>Automatic enumeration of video modes included in ddraw_init()</b>&nbsp;</dd>

<dd>
<b>Added functionality</b>&nbsp;</dd>

<dd>
<b>Just as fast as the exotica routines(no benchmarks, anybody wanna do
any?)</b></dd>
</dl>
</td>
</tr>
</table>

<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<caption ALIGN="TOP"><b><i>ExoticaX is 100% free!</i></b></caption>

<tr>
<td WIDTH="100%">
<dl>
<dt>
<b>The only requirement is that you must include these two lines in your
program source code and documentation (Give credit where it's due is all)
:</b></dt>
</dl>

<blockquote>
<dl>
<dd>
<b>ExoticaX is (c)2001 Chris Bensler</b>&nbsp;</dd>

<dd>
<b>Exotica is (c)1999-2001 Todd A. Riggins</b>&nbsp;</dd>
</dl>
</blockquote>
<b>It would also be nice to recieve a copy of any programs made using ExoticaX.</b></td>
</tr>
</table>

<center>
<p><font size=+1><b>To contact me about ExoticaX, email me at</b> <b><a href="mailto:bensler@mail.com">bensler@mail.com</a></b></font></center>

</body>
</html>
